    public static {{domainFullName}} toDomain({{protoFullName}} proto) {
        switch(proto) {
{{#enumValueData}}
            case {{protoName}}:
                return {{domainFullName}}.{{domainName}};
{{/enumValueData}}
        }

        throw new IllegalArgumentException("Unhandled proto enum value: " + proto);
    }